GWT 2.7.0

## com.google.gwt.user.client.ui
Interface HasName

All Known Implementing Classes:
  Anchor, CheckBox, DoubleBox, FileUpload, Hidden, IntegerBox, ListBox, LongBox, PasswordTextBox, RadioButton, SimpleCheckBox, SimpleRadioButton, TextArea, TextBox, TextBoxBase, ValueBox, ValueBoxBase

    public interface HasName

A widget that implements this interface has a 'name' associated with it, allowing it to be used with `FormPanel`. This property is the name that will be associated with the widget when its form is submitted.

Method Summary
`java.lang.String` | `getName()` Gets the widget's name.
`void` | `setName(java.lang.String name)` Sets the widget's name.

Method Detail

### setName

    void setName(java.lang.String name)

  Sets the widget's name.

  Parameters:
    `name` - the widget's new name

### getName

    java.lang.String getName()

  Gets the widget's name.

  Returns:
    the widget's name

GWT 2.7.0